Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.pipeline.controller
Class Output

    java.lang.Object
      |
      +--oracle.xml.pipeline.controller.PipeDocElement
            |
            +--oracle.xml.pipeline.controller.Output

All Implemented Interfaces:
  PipelineConstants

public class Output
extends PipeDocElement

This class represents an output object of a pipeline process.

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Method Summary
`boolean` | `isXMLType(int type)` Checks whether this Output object supports the following types of XML as output.
`void` | `supportType(int type)` Set the types of output to support for this Output object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### supportType

    public void supportType(int type)

  Set the types of output to support for this Output object.
  Parameters:
    `type` - constants allowed are DOMRESULT, SAXRESULT, STREAMRESULT, COMPSTREAMRESULT, DOCUMENT, DOCFRAG, ELEMENT

### isXMLType

    public boolean isXMLType(int type)

  Checks whether this Output object supports the following types of XML as output.
  Parameters:
    `type` - constants allowed are DOMRESULT, SAXRESULT, STREAMRESULT, COMPSTREAMRESULT, DOCUMENT, DOCFRAG, ELEMENT

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.